Debian Bug report logs - #668026
libusb: FTBFS[kfreebsd]: error: 'struct usb_ctl_request' has no member named 'request'

version graph

Package: src:libusb; Maintainer for src:libusb is Aurelien Jarno <aurel32@debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Sun, 8 Apr 2012 11:33:01 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in versions libusb/2:0.1.12-20, libusb/2:0.1.12-21

Fixed in versions libusb/2:0.1.12-23+nmu1, libusb/2:0.1.12-20+nmu1

Done: Marcin Owsiany <porridge@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#668026; Package src:libusb. (Sun, 08 Apr 2012 11:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Aurelien Jarno <aurel32@debian.org>. (Sun, 08 Apr 2012 11:33:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: libusb: FTBFS[kfreebsd]: error: 'struct usb_ctl_request' has no member named 'request'
Date: Sun, 08 Apr 2012 13:29:41 +0200
Package: src:libusb
Version: 2:0.1.12-21
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

 x86_64-kfreebsd-gnu-gcc -DHAVE_CONFIG_H -I. -D_FORTIFY_SOURCE=2 -Werror -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -MT bsd.lo -MD -MP -MF .deps/bsd.Tpo -c ../bsd.c  -fPIC -DPIC -o .libs/bsd.o
../bsd.c: In function 'usb_set_altinterface':
../bsd.c:236:7: error: 'struct usb_alt_interface' has no member named 'interface_index'
../bsd.c:237:7: error: 'struct usb_alt_interface' has no member named 'alt_no'
../bsd.c: In function 'usb_control_msg':
../bsd.c:457:6: error: 'struct usb_ctl_request' has no member named 'request'
../bsd.c:458:6: error: 'struct usb_ctl_request' has no member named 'request'
../bsd.c:459:3: error: 'struct usb_ctl_request' has no member named 'request'
../bsd.c:459:3: error: 'struct usb_ctl_request' has no member named 'request'
../bsd.c:459:3: error: left-hand operand of comma expression has no effect [-Werror=unused-value]
../bsd.c:460:3: error: 'struct usb_ctl_request' has no member named 'request'
../bsd.c:460:3: error: 'struct usb_ctl_request' has no member named 'request'
../bsd.c:460:3: error: left-hand operand of comma expression has no effect [-Werror=unused-value]
../bsd.c:461:3: error: 'struct usb_ctl_request' has no member named 'request'
../bsd.c:461:3: error: 'struct usb_ctl_request' has no member named 'request'
../bsd.c:461:3: error: left-hand operand of comma expression has no effect [-Werror=unused-value]
../bsd.c:463:6: error: 'struct usb_ctl_request' has no member named 'data'
../bsd.c:464:6: error: 'struct usb_ctl_request' has no member named 'flags'
../bsd.c:480:10: error: 'struct usb_ctl_request' has no member named 'request'
../bsd.c:480:10: error: 'struct usb_ctl_request' has no member named 'request'
../bsd.c: In function 'usb_os_find_devices':
../bsd.c:541:7: error: 'struct usb_device_info' has no member named 'addr'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: left-hand operand of comma expression has no effect [-Werror=unused-value]
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: value computed is not used [-Werror=unused-value]
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: left-hand operand of comma expression has no effect [-Werror=unused-value]
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:552:49: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c: In function 'usb_control_msg':
../bsd.c:481:1: error: control reaches end of non-void function [-Werror=return-type]
cc1: all warnings being treated as errors
make[3]: *** [bsd.lo] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=libusb&arch=kfreebsd-amd64&ver=2%3A0.1.12-21&stamp=1333490456

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#668026; Package src:libusb. (Fri, 21 Sep 2012 19:54:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Owsiany <porridge@debian.org>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. (Fri, 21 Sep 2012 19:54:33 GMT) Full text and rfc822 format available.

Message #10 received at 668026@bugs.debian.org (full text, mbox):

From: Marcin Owsiany <porridge@debian.org>
To: 668026@bugs.debian.org, debian-bsd@lists.debian.org
Subject: libusb 2:0.1.12-20 does not build any more either
Date: Fri, 21 Sep 2012 20:52:01 +0100
The last version of libusb which built successfully on kfreebsd-* was
2:0.1.12-20, that was on the last day of 2011.

However it does not build any more, I just tried in sid-kfreebsd-i386-dchroot
on fischer - see messages below. This strongly suggests that the FTBFS in
2:0.1.12-21 is not due to a change to libusb, but due to an unrelated change in
some kfreebsd API.

 i486-kfreebsd-gnu-gcc -DHAVE_CONFIG_H -I. -D_FORTIFY_SOURCE=2 -Werror -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall -MT bsd.lo -MD -MP -MF .deps/bsd.Tpo -c ../bsd.c  -fPIC -DPIC -o .libs/bsd.o
../bsd.c: In function 'usb_set_altinterface':
../bsd.c:236:7: error: 'struct usb_alt_interface' has no member named 'interface_index'
../bsd.c:237:7: error: 'struct usb_alt_interface' has no member named 'alt_no'
../bsd.c: In function 'usb_control_msg':
../bsd.c:457:6: error: 'struct usb_ctl_request' has no member named 'request'
../bsd.c:458:6: error: 'struct usb_ctl_request' has no member named 'request'
../bsd.c:459:3: error: 'struct usb_ctl_request' has no member named 'request'
../bsd.c:459:3: error: 'struct usb_ctl_request' has no member named 'request'
../bsd.c:459:3: error: left-hand operand of comma expression has no effect [-Werror=unused-value]
../bsd.c:460:3: error: 'struct usb_ctl_request' has no member named 'request'
../bsd.c:460:3: error: 'struct usb_ctl_request' has no member named 'request'
../bsd.c:460:3: error: left-hand operand of comma expression has no effect [-Werror=unused-value]
../bsd.c:461:3: error: 'struct usb_ctl_request' has no member named 'request'
../bsd.c:461:3: error: 'struct usb_ctl_request' has no member named 'request'
../bsd.c:461:3: error: left-hand operand of comma expression has no effect [-Werror=unused-value]
../bsd.c:463:6: error: 'struct usb_ctl_request' has no member named 'data'
../bsd.c:464:6: error: 'struct usb_ctl_request' has no member named 'flags'
../bsd.c:480:10: error: 'struct usb_ctl_request' has no member named 'request'
../bsd.c:480:10: error: 'struct usb_ctl_request' has no member named 'request'
../bsd.c: In function 'usb_os_find_devices':
../bsd.c:541:7: error: 'struct usb_device_info' has no member named 'addr'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: left-hand operand of comma expression has no effect [-Werror=unused-value]
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: value computed is not used [-Werror=unused-value]
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: left-hand operand of comma expression has no effect [-Werror=unused-value]
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:547:9: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c:552:49: error: 'struct usb_device_info' has no member named 'devnames'
../bsd.c: In function 'usb_control_msg':
../bsd.c:481:1: error: control reaches end of non-void function [-Werror=return-type]
cc1: all warnings being treated as errors


-- 
Marcin Owsiany <porridge@debian.org>             http://marcin.owsiany.pl/
GnuPG: 2048R/02F946FC  35E9 1344 9F77 5F43 13DD  6423 DBF4 80C6 02F9 46FC



Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#668026; Package src:libusb. (Sat, 22 Sep 2012 07:30:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Owsiany <porridge@debian.org>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. (Sat, 22 Sep 2012 07:30:14 GMT) Full text and rfc822 format available.

Message #15 received at 668026@bugs.debian.org (full text, mbox):

From: Marcin Owsiany <porridge@debian.org>
To: 668026@bugs.debian.org, debian-bsd@lists.debian.org
Cc: kfreebsd-kernel-headers@packages.debian.org
Subject: A bit more info
Date: Sat, 22 Sep 2012 08:29:46 +0100
It seems that the build failure boils down to:

configure:22252: checking if dev/usb/usb.h uses new naming convention
configure:22277: i486-kfreebsd-gnu-g++ -c -g -O2 -D_FORTIFY_SOURCE=2 conftest.cpp >&5
conftest.cpp: In function 'int main()':
conftest.cpp:43:46: error: invalid use of incomplete type 'struct main()::usb_ctl_request'
conftest.cpp:43:25: error: forward declaration of 'struct main()::usb_ctl_request'
configure:22283: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| #define PACKAGE_NAME "libusb"
| #define PACKAGE_TARNAME "libusb"
| #define PACKAGE_VERSION "0.1.12"
| #define PACKAGE_STRING "libusb 0.1.12"
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "libusb"
| #define VERSION "0.1.12"
| #define LIBUSB_MAJOR_VERSION 0
| #define LIBUSB_MINOR_VERSION 1
| #define LIBUSB_MICRO_VERSION 12
| #define LIBUSB_INTERFACE_AGE 4
| #define LIBUSB_BINARY_AGE 8
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #define BSD_API 1
| #define LINUX_API 0
| #define DARWIN_API 0
| #define STDC_HEADERS 1
| #define HAVE_VPRINTF 1
| #define HAVE_LIMITS_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_VALUES_H 1
| #define HAVE_VALUES_H 1
| #define HAVE_MEMMOVE 1
| /* end confdefs.h.  */
| #include <dev/usb/usb.h>
| int
| main ()
| {
|
|        int a = ((struct usb_ctl_request *)0L)->ucr_addr
|
|   ;
|   return 0;
| }
configure:22294: result: no

While the successful 2011 build of libusb 2:0.1.12-20 says:
checking if dev/usb/usb.h uses new naming convention... yes

I've verified that changing
#ifdef HAVE_OLD_DEV_USB_USB_H
to
#if 0
in bsd.c makes the package build OK on kfreebsd.


I think this means that usb_ctl_request used to be declared in dev/usb/usb.h
with a ucr_addr member, but is now removed altogether, which configure.in
(incorrectly) interprets as having "old naming convention".

Perhaps kfreebsd-kernel-headers maintainer(s) can provide some confirmation of
my theory and maybe an explanation on the reasons for removal.

-- 
Marcin Owsiany <porridge@debian.org>             http://marcin.owsiany.pl/
GnuPG: 2048R/02F946FC  35E9 1344 9F77 5F43 13DD  6423 DBF4 80C6 02F9 46FC



Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#668026; Package src:libusb. (Sat, 22 Sep 2012 12:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Owsiany <porridge@debian.org>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. (Sat, 22 Sep 2012 12:54:03 GMT) Full text and rfc822 format available.

Message #20 received at 668026@bugs.debian.org (full text, mbox):

From: Marcin Owsiany <porridge@debian.org>
To: 668026@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Patch
Date: Sat, 22 Sep 2012 13:50:43 +0100
[Message part 1 (text/plain, inline)]
The attached patch fixes the FTBFS.

-- 
Marcin Owsiany <porridge@debian.org>             http://marcin.owsiany.pl/
GnuPG: 2048R/02F946FC  35E9 1344 9F77 5F43 13DD  6423 DBF4 80C6 02F9 46FC
[libusb_0.1.12-23+nmu1.interdiff (text/plain, attachment)]

Added tag(s) pending and patch. Request was from Marcin Owsiany <porridge@debian.org> to control@bugs.debian.org. (Sat, 22 Sep 2012 12:54:05 GMT) Full text and rfc822 format available.

Marked as found in versions libusb/2:0.1.12-20. Request was from Marcin Owsiany <porridge@debian.org> to control@bugs.debian.org. (Sat, 22 Sep 2012 13:15:03 GMT) Full text and rfc822 format available.

Reply sent to Marcin Owsiany <porridge@debian.org>:
You have taken responsibility. (Sat, 22 Sep 2012 13:36:03 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Sat, 22 Sep 2012 13:36:03 GMT) Full text and rfc822 format available.

Message #29 received at 668026-close@bugs.debian.org (full text, mbox):

From: Marcin Owsiany <porridge@debian.org>
To: 668026-close@bugs.debian.org
Subject: Bug#668026: fixed in libusb 2:0.1.12-23+nmu1
Date: Sat, 22 Sep 2012 13:32:52 +0000
Source: libusb
Source-Version: 2:0.1.12-23+nmu1

We believe that the bug you reported is fixed in the latest version of
libusb, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 668026@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marcin Owsiany <porridge@debian.org> (supplier of updated libusb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 22 Sep 2012 14:10:38 +0100
Source: libusb
Binary: libusb-0.1-4 libusb-dev libusb++-0.1-4c2 libusb++-dev libusb-0.1-udeb
Architecture: source amd64
Version: 2:0.1.12-23+nmu1
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Marcin Owsiany <porridge@debian.org>
Description: 
 libusb++-0.1-4c2 - userspace C++ USB programming library
 libusb++-dev - userspace C++ USB programming library development files
 libusb-0.1-4 - userspace USB programming library
 libusb-0.1-udeb - userspace USB programming library (udeb)
 libusb-dev - userspace USB programming library development files
Closes: 668026
Changes: 
 libusb (2:0.1.12-23+nmu1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix kfreebsd-* FTBFS: ignore the result of the (BSD-only)
     HAVE_OLD_DEV_USB_USB_H configure check, which started misbehaving in 2012.
     We ignore the system-provided API in favour of an embedded copy of a header
     file anyway (closes: #668026).
Checksums-Sha1: 
 7fc2b6e6db31f0f05338012936e9bc96e595dc07 1965 libusb_0.1.12-23+nmu1.dsc
 0b926c174b78c7278fe355306fc3ff01b2cfcffe 563321 libusb_0.1.12-23+nmu1.debian.tar.gz
 e6477a09ddfb2b83869533ac030f5a5c51a64266 23230 libusb-0.1-4_0.1.12-23+nmu1_amd64.deb
 00218c18592c3b21a73507c17300ad36158eead8 41330 libusb-dev_0.1.12-23+nmu1_amd64.deb
 dc8363e3a31047293f4b6b195676a686c86183eb 17430 libusb++-0.1-4c2_0.1.12-23+nmu1_amd64.deb
 53c46040f223a12649165fa287e6458bd5c5bb5f 21128 libusb++-dev_0.1.12-23+nmu1_amd64.deb
 cbbe8f4a3daadc0d8db7465c99d3c11f6d1dc19e 11172 libusb-0.1-udeb_0.1.12-23+nmu1_amd64.udeb
Checksums-Sha256: 
 34f2571347beedec360da607d0219bdfe010b7329f385f423ea05174df6a242e 1965 libusb_0.1.12-23+nmu1.dsc
 6b027035282cbb1716670453bb3eb7313672d76cb94ad5d8f749cf56e02e16ce 563321 libusb_0.1.12-23+nmu1.debian.tar.gz
 f4c8e29175b92f63317d50452e764feb860abea48eb83425be404201c2cf5197 23230 libusb-0.1-4_0.1.12-23+nmu1_amd64.deb
 5af242c7da6821367db8c5989174f19f4bfd1b958a952afa6e6326f8e7dda165 41330 libusb-dev_0.1.12-23+nmu1_amd64.deb
 49dfc502fcb5ee82fcc5ca3708b05ea1bcaaa119f231f5a20b48255d9bf74660 17430 libusb++-0.1-4c2_0.1.12-23+nmu1_amd64.deb
 1e45e601872bc99c81b79b17b1b8d4c9b9e44823654b97e065677ed08be447d5 21128 libusb++-dev_0.1.12-23+nmu1_amd64.deb
 7e3e35adc0852df37eff1c7fb32277643d472a035f5a4e6281a7c4bec150eaae 11172 libusb-0.1-udeb_0.1.12-23+nmu1_amd64.udeb
Files: 
 d2607c35db6edc4315bc6f96323730ec 1965 libs optional libusb_0.1.12-23+nmu1.dsc
 9c7d16c7bb4a74136f364f3058d1a2fd 563321 libs optional libusb_0.1.12-23+nmu1.debian.tar.gz
 903e81074304f1306a8fa5134003dc77 23230 libs important libusb-0.1-4_0.1.12-23+nmu1_amd64.deb
 ce847c12f83ba09339323b6ef1429915 41330 libdevel optional libusb-dev_0.1.12-23+nmu1_amd64.deb
 6fb4c9e1dc5c22393df77445c847b321 17430 libs optional libusb++-0.1-4c2_0.1.12-23+nmu1_amd64.deb
 3db5138b11e7bccb71085ac07724352f 21128 libdevel optional libusb++-dev_0.1.12-23+nmu1_amd64.deb
 cffdac7eb14ce97794b5be73c2c8cb66 11172 debian-installer optional libusb-0.1-udeb_0.1.12-23+nmu1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJQXbpoAAoJEBh9XTi2TwHe12AQAK/ZSCRGS1rFfWVWeykW1PSS
NykJQDjINR5Rfdk4h4wneDLbl88k+wxxt33EMrSkCIG9INPQ816JvzZeQh6zMDht
MhYeYz2pu+OD3R3uKp4v/mL2FZi464NT7uATj26Ss+GBb7XLLhHRtoNksSQTV55P
xBRyd/EkGVtvHRdzs25Z4JRYzDrKmaJJVNDqzhqG9vC3tZ3hAOslThj+GdfylwBE
kzAPxFclZWPAWyqYvGCYdTIlOjUT/gojtJ6A8eWAvWeMMWVJ33zE6m/K8b+Z6fXo
4NjchsqRVvCc4P1vBqVuUduSsALpYsreFTPaVZzv2w+YIPlFTzjA/QpgToylxkVP
Y7VfpZGUnA43rms/eNJ/QtLHckySSg8S2Qy2m3CrnMFti+4ppL0NPjaLFUoCoHEh
l1ShCCbQ6wVAdLsUeGeJsyK8YqO3xbQtRHLtAI3sTl5lq/P6NRSMnbSIb+T7Zd3T
oCEJiT1Y6Jqmf6NwahEj6ygY3JGl+nBJJWNV06xzbhttYJ97eZmgc0WannwlzPt1
KhouzKCzBhOdKkN1KByW6F34a85ACD59fNhymkb8eZ/hO7aUpRiRv5Y67VJNdr6P
1Y8Hkcx3cffH3e6Ad8Dw1lb+d7Ip2dDzOaKt++a41mO6yd1c2L0x32OLLoqSQJTH
KNNUTy3FzBS11CV8pTzf
=tul8
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#668026; Package src:libusb. (Sat, 22 Sep 2012 14:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Owsiany <porridge@debian.org>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. (Sat, 22 Sep 2012 14:12:06 GMT) Full text and rfc822 format available.

Message #34 received at 668026@bugs.debian.org (full text, mbox):

From: Marcin Owsiany <porridge@debian.org>
To: debian-release@lists.debian.org
Cc: 668026@bugs.debian.org
Subject: libusb upload to testing-proposed-updates
Date: Sat, 22 Sep 2012 15:08:42 +0100
[Message part 1 (text/plain, inline)]
Hello,

I've already NMUed libusb 2:0.1.12-23+nmu1 to sid to fix RC bug
#668026 there. However I've also discovered the bug is present in the
version currently in testing (2:0.1.12-20). I suppose the changes in -21
to -23 are not meant/eligible for inclusion in testing, so I'd like to
upload 2:0.1.12-20+nmu1 (interdiff attached) to
testing-proposed-updates. Please let me know if this looks good.

regards,
-- 
Marcin Owsiany <porridge@debian.org>             http://marcin.owsiany.pl/
GnuPG: 2048R/02F946FC  35E9 1344 9F77 5F43 13DD  6423 DBF4 80C6 02F9 46FC
[libusb_0.1.12-20+nmu1.interdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#668026; Package src:libusb. (Wed, 26 Sep 2012 14:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. (Wed, 26 Sep 2012 14:27:02 GMT) Full text and rfc822 format available.

Message #39 received at 668026@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Marcin Owsiany <porridge@debian.org>, debian-release@lists.debian.org, 668026@bugs.debian.org
Subject: Re: libusb upload to testing-proposed-updates
Date: Wed, 26 Sep 2012 16:23:36 +0200
[Message part 1 (text/plain, inline)]
Hello Marcin,

Marcin Owsiany <porridge@debian.org> (22/09/2012):
> I've already NMUed libusb 2:0.1.12-23+nmu1 to sid to fix RC bug
> #668026 there. However I've also discovered the bug is present in the
> version currently in testing (2:0.1.12-20). I suppose the changes in -21
> to -23 are not meant/eligible for inclusion in testing, so I'd like to
> upload 2:0.1.12-20+nmu1 (interdiff attached) to testing-proposed-updates.
> Please let me know if this looks good.

as far as d-i is concerned, I'm not sure we really need the udeb flag fix,
so I think I like the t-p-u approach with a minimal diff very much. I'll
let somebody else from -release comment on the diff itself though (I think
we'll want a different suffix, for one thing).

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#668026; Package src:libusb. (Sat, 29 Sep 2012 14:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. (Sat, 29 Sep 2012 14:03:08 GMT) Full text and rfc822 format available.

Message #44 received at 668026@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Marcin Owsiany <porridge@debian.org>, debian-release@lists.debian.org, 668026@bugs.debian.org
Subject: Re: libusb upload to testing-proposed-updates
Date: Sat, 29 Sep 2012 15:59:37 +0200
[Message part 1 (text/plain, inline)]
On Sat, Sep 22, 2012 at 15:08:42 +0100, Marcin Owsiany wrote:

> Hello,
> 
> I've already NMUed libusb 2:0.1.12-23+nmu1 to sid to fix RC bug
> #668026 there. However I've also discovered the bug is present in the
> version currently in testing (2:0.1.12-20). I suppose the changes in -21
> to -23 are not meant/eligible for inclusion in testing, so I'd like to
> upload 2:0.1.12-20+nmu1 (interdiff attached) to
> testing-proposed-updates. Please let me know if this looks good.
> 
please go ahead.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Reply sent to Marcin Owsiany <porridge@debian.org>:
You have taken responsibility. (Tue, 02 Oct 2012 20:51:04 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Tue, 02 Oct 2012 20:51:04 GMT) Full text and rfc822 format available.

Message #49 received at 668026-close@bugs.debian.org (full text, mbox):

From: Marcin Owsiany <porridge@debian.org>
To: 668026-close@bugs.debian.org
Subject: Bug#668026: fixed in libusb 2:0.1.12-20+nmu1
Date: Tue, 02 Oct 2012 20:47:38 +0000
Source: libusb
Source-Version: 2:0.1.12-20+nmu1

We believe that the bug you reported is fixed in the latest version of
libusb, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 668026@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marcin Owsiany <porridge@debian.org> (supplier of updated libusb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 22 Sep 2012 15:01:25 +0100
Source: libusb
Binary: libusb-0.1-4 libusb-dev libusb++-0.1-4c2 libusb++-dev libusb-0.1-udeb
Architecture: source amd64
Version: 2:0.1.12-20+nmu1
Distribution: testing-proposed-updates
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Marcin Owsiany <porridge@debian.org>
Description: 
 libusb++-0.1-4c2 - userspace C++ USB programming library
 libusb++-dev - userspace C++ USB programming library development files
 libusb-0.1-4 - userspace USB programming library
 libusb-0.1-udeb - userspace USB programming library (udeb)
 libusb-dev - userspace USB programming library development files
Closes: 668026
Changes: 
 libusb (2:0.1.12-20+nmu1) testing-proposed-updates; urgency=low
 .
   * Non-maintainer upload.
   * Fix kfreebsd-* FTBFS: ignore the result of the (BSD-only)
     HAVE_OLD_DEV_USB_USB_H configure check, which started misbehaving in 2012.
     We ignore the system-provided API in favour of an embedded copy of a header
     file anyway (closes: #668026).
Checksums-Sha1: 
 2d02c1f7f1290c7650d51821545c736aa02c0813 1965 libusb_0.1.12-20+nmu1.dsc
 cbda693e0e9fea506172e40d282e0555d208ac7d 263472 libusb_0.1.12-20+nmu1.debian.tar.gz
 994442814dd8dc35553e8c649965e5a81551c060 23142 libusb-0.1-4_0.1.12-20+nmu1_amd64.deb
 964cca864d75ad880bc345aeb4150ddbd609ad31 41214 libusb-dev_0.1.12-20+nmu1_amd64.deb
 0acc54f30e99ff9a5cae0004587ae45c46bcdb52 17220 libusb++-0.1-4c2_0.1.12-20+nmu1_amd64.deb
 b7a50d79b843d377a2803d4f5a42cc45ce4996cb 20960 libusb++-dev_0.1.12-20+nmu1_amd64.deb
 d6ed6f2e731b62ffc538bd068127dc96c3787045 12554 libusb-0.1-udeb_0.1.12-20+nmu1_amd64.udeb
Checksums-Sha256: 
 c6c079a02c93be3772dec58c796f0f52e86d1b5b594565dffa9f53c6fe68b44b 1965 libusb_0.1.12-20+nmu1.dsc
 dbdda962bf196d4c98c7d71dffddcc679acbf8ea8c843fc5e1ba0141d57cf729 263472 libusb_0.1.12-20+nmu1.debian.tar.gz
 30ee3ea04c7468d8f7ed35da4ce4343fbf9f39a08de686a696e28ddfc5aac584 23142 libusb-0.1-4_0.1.12-20+nmu1_amd64.deb
 22ab1dc9cee9b349f2e022ac9800ca0272c2250b284a32b4b705c097777138a6 41214 libusb-dev_0.1.12-20+nmu1_amd64.deb
 2bdc3e36b1b1ad8dd93d6e3ed0492c9b9498f9026d8b3dd5fa4a896ca5ae646e 17220 libusb++-0.1-4c2_0.1.12-20+nmu1_amd64.deb
 cf3eeed9fad05c6b577532ba259a7140c2ca692f83bfa745ec1067b3289c0bc3 20960 libusb++-dev_0.1.12-20+nmu1_amd64.deb
 2f1026c8e7c6ffdc497160403b0c52eeaa3086052904acfa5cb6569a7320eb00 12554 libusb-0.1-udeb_0.1.12-20+nmu1_amd64.udeb
Files: 
 a0343c0e0546501d03338def9efad2c2 1965 libs optional libusb_0.1.12-20+nmu1.dsc
 d887725abe9b77c5c2abd5f26d08fecc 263472 libs optional libusb_0.1.12-20+nmu1.debian.tar.gz
 e7ad48a43855a77519073fcb2c0f6952 23142 libs important libusb-0.1-4_0.1.12-20+nmu1_amd64.deb
 7a8f1b497c6e9de41ebd2bfecf69dc88 41214 libdevel optional libusb-dev_0.1.12-20+nmu1_amd64.deb
 759a0c3e1dea5065af8f30ad73d4d5a9 17220 libs optional libusb++-0.1-4c2_0.1.12-20+nmu1_amd64.deb
 19875721f3c85b45cefb3116b92be815 20960 libdevel optional libusb++-dev_0.1.12-20+nmu1_amd64.deb
 a64daceb242d06386f57a56e00b1d5a5 12554 debian-installer optional libusb-0.1-udeb_0.1.12-20+nmu1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJQa0zFAAoJEBh9XTi2TwHe6y4P/iTNCLj3+y8567JG65n/tcyl
LmiMRHDL1lL10lvW3oAM9sY6bQvBaQdPQ0Ot7RrSTojdGTyDs0CfCUHS3cop4c8I
NvDqiHBC1WMAlZRVJ3vHdYgKI0ve5y8M4nD3imjUSZnT2bqjOVxYRxcpXVrU4HfR
Qd0mtM5jinL2BnqnY2gqqdlqDTw8/Ql4XgmKF9PMWYUbzqUYpaPED8d4SxsIUGCf
zfNAjYO2Yd6QWVLORzYXwmj9HkeIKgN/XgQpAf/XandP7/eoI786wwrZ/o/xQT/Z
T7UWbelV3v2/IhkFzZ7xN8UY79Dh0uTVYN6hs7k0I0z+ro91O1XOWFXDK020fayv
QBkgA3DqHghiCW+jDtJ/dVu4JoSzZGX5maEGoYhT3h4ZFln7bg+JKviIyTv59z+s
9p0go+FESJ692Dp/wjGgqqf6LPcy8o2a7wSsHKHEFS3rPsoRN4iAI3rOmE5aibKG
O5t9x4pcT1TYqAGckIYmqJUVJd9SMIxmBVSrHMyY1jwmPiLcFnyZ1r1U5Mx9uvSb
yJcoRfg88wKmXsXlcn0mMWmD1YgIKkjn//J72nmhNETgmJH2PTiHrHiQtUr7xu8J
N7siPG5brVeaHvnAE7oJjyRZgYCW5p39jxnmUFjFoCXeagqVmb/LAlkjJ1kLOVzD
u+l6x8UXXs9PdHJHui2W
=GH59
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#668026; Package src:libusb. (Wed, 03 Oct 2012 18:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. (Wed, 03 Oct 2012 18:06:03 GMT) Full text and rfc822 format available.

Message #54 received at 668026@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Julien Cristau <jcristau@debian.org>
Cc: Marcin Owsiany <porridge@debian.org>, debian-release@lists.debian.org, 668026@bugs.debian.org
Subject: Re: libusb upload to testing-proposed-updates
Date: Wed, 03 Oct 2012 19:02:21 +0100
On Sat, 2012-09-29 at 15:59 +0200, Julien Cristau wrote:
> On Sat, Sep 22, 2012 at 15:08:42 +0100, Marcin Owsiany wrote:
> > I've already NMUed libusb 2:0.1.12-23+nmu1 to sid to fix RC bug
> > #668026 there. However I've also discovered the bug is present in the
> > version currently in testing (2:0.1.12-20). I suppose the changes in -21
> > to -23 are not meant/eligible for inclusion in testing, so I'd like to
> > upload 2:0.1.12-20+nmu1 (interdiff attached) to
> > testing-proposed-updates. Please let me know if this looks good.
> > 
> please go ahead.

For the record, this was uploaded; thanks. I've added an approve hint
but the package won't be able to migrate until we can add a
corresponding unblock-udeb, which will likely be after d-i beta 3 is
out.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#668026; Package src:libusb. (Wed, 03 Oct 2012 19:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcin Owsiany <porridge@debian.org>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. (Wed, 03 Oct 2012 19:27:05 GMT) Full text and rfc822 format available.

Message #59 received at 668026@bugs.debian.org (full text, mbox):

From: Marcin Owsiany <porridge@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 668026@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#668026: libusb upload to testing-proposed-updates
Date: Wed, 3 Oct 2012 20:07:05 +0100
On Wed, Oct 03, 2012 at 07:02:21PM +0100, Adam D. Barratt wrote:
> On Sat, 2012-09-29 at 15:59 +0200, Julien Cristau wrote:
> > On Sat, Sep 22, 2012 at 15:08:42 +0100, Marcin Owsiany wrote:
> > > I've already NMUed libusb 2:0.1.12-23+nmu1 to sid to fix RC bug
> > > #668026 there. However I've also discovered the bug is present in the
> > > version currently in testing (2:0.1.12-20). I suppose the changes in -21
> > > to -23 are not meant/eligible for inclusion in testing, so I'd like to
> > > upload 2:0.1.12-20+nmu1 (interdiff attached) to
> > > testing-proposed-updates. Please let me know if this looks good.
> > > 
> > please go ahead.
> 
> For the record, this was uploaded; thanks. I've added an approve hint
> but the package won't be able to migrate until we can add a
> corresponding unblock-udeb, which will likely be after d-i beta 3 is
> out.

There also seems to be a problem with building it on a couple of
architectures. I've sent a message to openjade@packages.d.o as this is
the tool that fails. I suspect it's a problem with one of its
dependencies...

-- 
Marcin Owsiany <porridge@debian.org>             http://marcin.owsiany.pl/
GnuPG: 2048R/02F946FC  35E9 1344 9F77 5F43 13DD  6423 DBF4 80C6 02F9 46FC



Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#668026; Package src:libusb. (Sat, 24 Nov 2012 12:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. (Sat, 24 Nov 2012 12:09:03 GMT) Full text and rfc822 format available.

Message #64 received at 668026@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Marcin Owsiany <porridge@debian.org>
Cc: 668026@bugs.debian.org, Julien Cristau <jcristau@debian.org>, debian-release@lists.debian.org, kibi@debian.org
Subject: Re: Bug#668026: libusb upload to testing-proposed-updates
Date: Sat, 24 Nov 2012 12:05:19 +0000
[KiBi CCed for d-i ack]

On Wed, 2012-10-03 at 20:07 +0100, Marcin Owsiany wrote:
> On Wed, Oct 03, 2012 at 07:02:21PM +0100, Adam D. Barratt wrote:
> > For the record, this was uploaded; thanks. I've added an approve hint
> > but the package won't be able to migrate until we can add a
> > corresponding unblock-udeb, which will likely be after d-i beta 3 is
> > out.
> 
> There also seems to be a problem with building it on a couple of
> architectures. I've sent a message to openjade@packages.d.o as this is
> the tool that fails. I suspect it's a problem with one of its
> dependencies...

It looks like those issues were fixed now, so we just need a final d-i
ack (there was a sort of one previously, but it's worth checking it's
still okay at this point).

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#668026; Package src:libusb. (Sat, 24 Nov 2012 12:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. (Sat, 24 Nov 2012 12:15:03 GMT) Full text and rfc822 format available.

Message #69 received at 668026@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Marcin Owsiany <porridge@debian.org>, 668026@bugs.debian.org, Julien Cristau <jcristau@debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#668026: libusb upload to testing-proposed-updates
Date: Sat, 24 Nov 2012 13:13:22 +0100
[Message part 1 (text/plain, inline)]
Adam D. Barratt <adam@adam-barratt.org.uk> (24/11/2012):
> On Wed, 2012-10-03 at 20:07 +0100, Marcin Owsiany wrote:
> > There also seems to be a problem with building it on a couple of
> > architectures. I've sent a message to openjade@packages.d.o as
> > this is the tool that fails. I suspect it's a problem with one of
> > its dependencies...
> 
> It looks like those issues were fixed now, so we just need a final
> d-i ack (there was a sort of one previously, but it's worth checking
> it's still okay at this point).

That looks OK to me: d-i ACK.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#668026; Package src:libusb. (Sat, 24 Nov 2012 12:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. (Sat, 24 Nov 2012 12:24:06 GMT) Full text and rfc822 format available.

Message #74 received at 668026@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Cyril Brulebois <kibi@debian.org>
Cc: Marcin Owsiany <porridge@debian.org>, 668026@bugs.debian.org, Julien Cristau <jcristau@debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#668026: libusb upload to testing-proposed-updates
Date: Sat, 24 Nov 2012 12:20:39 +0000
On Sat, 2012-11-24 at 13:13 +0100, Cyril Brulebois wrote:
> Adam D. Barratt <adam@adam-barratt.org.uk> (24/11/2012):
> > It looks like those issues were fixed now, so we just need a final
> > d-i ack (there was a sort of one previously, but it's worth checking
> > it's still okay at this point).
> 
> That looks OK to me: d-i ACK.

unblock-udeb hint added, so hopefully this'll migrate in the next
britney run.

Regards,

Adam




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Dec 2012 07:28:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:01:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.